use super::MessageSpecies;

pub enum FmDEVICEMessage{
	GET_DEVICEDESCRIPTION,			//Request 0
	GET_CONFIG,			//Request 1
	GET_POST,			//Request 2
	GET_DIGITAL_STATE,			//Request 3
	GET_DEVICE_MODE,			//Request 4
	GET_DEVICE_INVENTORY,			//Request 5
	GET_CALIBRATION,			//Request 6
	GET_DATE_TIME,			//Request 7
	GET_DEVICE_COMM_MODE,			//Request 8
	GET_HARDWARE_TEST_STATE,			//Request 9
	GET_ALARM_STATE,			//Request 10
	GET_MONITOR_STATE,			//Request 11
	GET_ALARM_CONFIG,			//Request 12
	GET_REGISTER,			//Request 13
	GET_SERVICEMONITOR_SETTINGS,			//Request 14
	GET_SETTINGSXFER_SUPPORTED,			//Request 15
	GET_SETTINGSXFER_STATUS,			//Request 16
	GET_NIGHT_MODE_STATE,			//Request 17
	GET_SW_UPDATE_STATUS,			//Request 18
	GET_LIGHTSENSOR,			//Request 19
	GET_FIRST_BOOT_SETTINGS,			//Request 20
	GET_LICENSE_FEATURES,			//Request 21
	PUT_DEVICEDESCRIPTION,			//Response 0
	PUT_CONFIG,			//Response 1
	PUT_POST,			//Response 2
	PUT_DIGITAL_STATE,			//Response 3
	PUT_DEVICE_MODE,			//Response 4
	PUT_DEVICE_INVENTORY,			//Response 5
	PUT_CALIBRATION,			//Response 6
	PUT_DATE_TIME,			//Response 7
	PUT_DEVICE_COMM_MODE,			//Response 8
	PUT_HARDWARE_TEST_STATE,			//Response 9
	PUT_ALARM_STATE,			//Response 10
	PUT_MONITOR_STATE,			//Response 11
	PUT_ALARM_CONFIG,			//Response 12
	PUT_REGISTER,			//Response 13
	PUT_SERVICEMONITOR_SETTINGS,			//Response 14
	PUT_SETTINGSXFER_SUPPORTED,			//Response 15
	PUT_SETTINGSXFER_STATUS,			//Response 16
	PUT_NIGHT_MODE_STATE,			//Response 17
	PUT_SW_UPDATE_STATUS,			//Response 18
	PUT_LIGHTSENSOR,			//Response 19
	PUT_FIRST_BOOT_SETTINGS,			//Response 20
	PUT_LICENSE_FEATURES,			//Response 21
	WRITE_CONFIG,			//Command 0
	WRITE_DEVICEDESCRIPTION,			//Command 1
	ENABLE_DISPLAY,			//Command 2
	START_DISPLAY_TEST,			//Command 3
	RESET,			//Command 4
	POWER,			//Command 5
	BEEP,			//Command 6
	SAVE_CONFIG,			//Command 7
	RESTORE_CONFIG,			//Command 8
	ENABLE_AUTO_POWER_DOWN,			//Command 9
	SET_DISPLAY_CONTRAST,			//Command 10
	SET_BACKLIGHT,			//Command 11
	START_DIGITAL_TEST,			//Command 12
	STOP_DISPLAY_TEST,			//Command 13
	SET_DEVICE_MODE,			//Command 14
	START_PRINTER_TEST,			//Command 15
	SET_CALIBRATION,			//Command 16
	SET_DATE_TIME,			//Command 17
	NEXT_PATIENT,			//Command 18
	SET_DEVICE_COMM_MODE,			//Command 19
	START_HARDWARE_TEST,			//Command 20
	STOP_HARDWARE_TEST,			//Command 21
	SET_ALARM_STATE,			//Command 22
	SET_MONITOR_STATE,			//Command 23
	END_TELEMETRY,			//Command 24
	START_ACQUIRE_ALARM_STATE,			//Command 25
	STOP_ACQUIRE_ALARM_STATE,			//Command 26
	SET_ALARM_CONFIG,			//Command 27
	SET_ALARM_MASK,			//Command 28
	WRITE_END_TELEMETRY_DESC,			//Command 29
	SET_REGISTER,			//Command 30
	START_UPDATE,			//Command 31
	SET_SERVICEMONITOR_SETTINGS,			//Command 32
	START_SETTINGSXFER,			//Command 33
	RESET_DATE_TIME,			//Command 34
	SET_NIGHT_MODE,			//Command 35
	START_CALL_HOME,			//Command 36
	STOP_CALL_HOME,			//Command 37
	START_TOKEN_SCAN,			//Command 38
	SET_FIRST_BOOT_SETTINGS,			//Command 39
	START_BOOTLOADER,			//Command 40
	STOP_BOOTLOADER,			//Command 41
	SET_LICENSE_FEATURES,			//Command 42
	REPORT_HARDWARE_TEST_STATE,			//Status 0
	REPORT_DOCK,			//Status 1
	REPORT_UNDOCK,			//Status 2
	REPORT_ALARM_STATE,			//Status 3
	REPORT_MONITOR_STATE,			//Status 4
	REPORT_ALARM_CONFIG,			//Status 5
	REPORT_ALARM_RESPONSE,			//Status 6
	REPORT_DEVICE_MODE,			//Status 7
	REPORT_INTERACTION_COMPLETE,			//Status 8
	REPORT_SETTINGSXFER_STATUS,			//Status 9
	REPORT_UPDATE_STATUS,			//Status 10
	REPORT_NIGHT_MODE_STATUS,			//Status 11
	REPORT_DEVICE_INVENTORY,			//Status 12
	STREAM_ALARM_STATE,			//Stream 0
}

impl MessageSpecies for FmDEVICEMessage{}