use super::MessageSpecies;

pub enum FmFLASHMessage{
	GET_CRC,			//Request 0
	GET_SEGMENT,			//Request 1
	GT_FLASH_CONFIG,			//Request 2
	GET_SECTOR_CONFIG,			//Request 3
	GET_UPGRADE,			//Request 4
	GET_FLASH_PREPARATION,			//Request 5
	PUT_CRC,			//Response 0
	PUT_SEGMENT,			//Response 1
	PUT_FLASH_CONFIG,			//Response 2
	PUT_SECTOR_CONFIG,			//Response 3
	PUT_UPGRADE,			//Response 4
	PUT_FLASH_PREPARATION,			//Response 5
	WRITE_SEGMENT,			//Command 0
	ERASE_SECTOR,			//Command 1
	ENABLE_FLASH,			//Command 2
	DISABLE_FLASH,			//Command 3
	FLASH_READY,			//Status 0
	FLASH_COMPLETE,			//Status 1
}

impl MessageSpecies for FmFLASHMessage{}