use super::MessageSpecies;

pub enum FmNIBPMessage{
	GET_BP,			//Request 0
	GET_CONFIG,			//Request 1
	GET_STATUS,			//Request 2
	GET_CALIBRATION,			//Request 3
	GET_BP_SETTINGS,			//Request 4
	GET_CHUNK,			//Request 5
	GET_CHUNK_SIZE,			//Request 6
	GET_MAX_CHUNK_ID,			//Request 7
	GET_HARDWARE_STATE,			//Request 8
	GET_TEST_LOCK,			//Request 9
	GET_RAW_DATA,			//Request 10
	GET_PRESSURE_DATA,			//Request 11
	PUT_BP,			//Response 0
	PUT_CONFIG,			//Response 1
	PUT_STATUS,			//Response 2
	PUT_CALIBRATION,			//Response 3
	PUT_BP_SETTINGS,			//Response 4
	PUT_CHUNK,			//Response 5
	PUT_CHUNK_SIZE,			//Response 6
	PUT_MAX_CHUNK_ID,			//Response 7
	PUT_HARDWARE_STATE,			//Response 8
	PUT_TEST_LOCK,			//Response 9
	PUT_RAW_DATA,			//Response 10
	PUT_PRESSURE_DATA,			//Response 11
	START_NIBP,			//Command 0
	STOP_NIBP,			//Command 1
	WRITE_CONFIG,			//Command 2
	ZERO_NIBP,			//Command 3
	MSG_PUSH_ENABLE,			//Command 4
	CLEAR_SAFTEY_STATUS,			//Command 5
	CLEAR_POST_STATUS,			//Command 6
	RESET_DEVICE,			//Command 7
	SET_CALIBRATION,			//Command 8
	SAVE_CALIBRATION,			//Command 9
	LOAD_CALIBRATION,			//Command 10
	RESTORE_DFLT_CALIBRATION,			//Command 11
	SET_BP_SETTINGS,			//Command 12
	SAVE_BP_SETTINGS,			//Command 13
	LOAD_BP_SETTINGS,			//Command 14
	RESTORE_DFLT_SETTINGS,			//Command 15
	SET_HARDWARE_STATE,			//Command 16
	PULSE_STEP_VALVE,			//Command 17
	SET_TEST_LOCK,			//Command 18
	REPORT_BP,			//Status 0
	REPORT_BP,			//Stream 0
	REPORT_STATUS,			//Stream 1
}

impl MessageSpecies for FmNIBPMessage{}