use super::MessageSpecies;

pub enum FmTYMPMessage{
	GET_CAL_INFO,			//Request 0
	GET_BARCODE,			//Request 1
	GET_MEM_CHECK,			//Request 2
	GET_MEM_TEST,			//Request 3
	GET_TYMP_DATA,			//Request 4
	GET_FINE_SPEAKER_GAIN,			//Request 5
	GET_DFLT_SPKR_VOLUME,			//Request 6
	GET_FINE_MIC_GAIN,			//Request 7
	GET_COARSE_GAIN,			//Request 8
	GET_MIC_PEAK_LEVEL,			//Request 9
	GET_CUR_ADMITTANCE,			//Request 10
	GET_PRESSURE_GAIN,			//Request 11
	GET_PRESSURE_OFFSET,			//Request 12
	GET_PRESSURE,			//Request 13
	GET_SWEEP_TIME,			//Request 14
	GET_MOTOR_SPEED,			//Request 15
	GET_CONFIG_PARAM,			//Request 16
	PUT_CAL_INFO,			//Response 0
	PUT_BARCODE,			//Response 1
	PUT_MEM_CHECK,			//Response 2
	PUT_MEM_TEST,			//Response 3
	PUT_TYMP_DATA,			//Response 4
	PUT_FINE_SPEAKER_GAIN,			//Response 5
	PUT_DFLT_SPKR_VOLUME,			//Response 6
	PUT_FINE_MIC_GAIN,			//Response 7
	PUT_COARSE_GAIN,			//Response 8
	PUT_MIC_PEAK_LEVEL,			//Response 9
	PUT_CUR_ADMITTANCE,			//Response 10
	PUT_PRESSURE_GAIN,			//Response 11
	PUT_PRESSURE_OFFSET,			//Response 12
	PUT_PRESSURE,			//Response 13
	PUT_SWEEP_TIME,			//Response 14
	PUT_MOTOR_SPEED,			//Response 15
	PUT_CONFIG_PARAM,			//Response 16
	SET_CAL_INFO,			//Command 0
	SET_BARCODE,			//Command 1
	CLEAR_ERROR_LOG,			//Command 2
	RUN_TYMP,			//Command 3
	SET_FINE_SPEAKER_GAIN,			//Command 4
	SET_DFLT_SPKR_VOLUME,			//Command 5
	SET_FINE_MIC_GAIN,			//Command 6
	SET_COARSE_GAIN,			//Command 7
	SET_SPEAKER_STATE,			//Command 8
	START_TONE,			//Command 9
	SET_PRESSURE_GAIN,			//Command 10
	SET_PRESSURE_OFFSET,			//Command 11
	AUTO_ZERO,			//Command 12
	SET_VALVE,			//Command 13
	PRESSURE_SWEEP,			//Command 14
	SET_MOTOR_SPEED,			//Command 15
	HOME_PUMP,			//Command 16
	SET_CONFIG_PARAM,			//Command 17
	INIT_NON_VOL_MEM,			//Command 18
	CLEAR_ERROR_FLAG,			//Command 19
}

impl MessageSpecies for FmTYMPMessage{}