use crate::datatypes;
use super::{Object, ObjectSpecies, RawObject};
use derive_getters::Getters;
use derive_builder::Builder;
use downcast_rs::Downcast;

pub trait FmFLASH:Downcast{}

#[derive(Clone,Debug)]
pub enum FmFLASHSpecies{
	SpFLASHSEG,
	SpFLASHCRC,
	SpDEVICEFLASHCFG,
	SpSECTORFLASHCFG,
}
impl ObjectSpecies for FmFLASHSpecies{}

