use super::MessageSpecies;

pub enum FmCO2Message{
	GET_BREATH,			//Request 0
	GET_AMBIENT_PRESSURE,			//Request 1
	GET_MODULE_CONFIG,			//Request 2
	GET_CALIBRATION,			//Request 3
	GET_SERVICE_TIME,			//Request 4
	GET_CAL_TIME,			//Request 5
	GET_CONFIG,			//Request 6
	PUT_BREATH,			//Response 0
	PUT_AMBIENT_PRESSURE,			//Response 1
	PUT_MODULE_CONFIG,			//Response 2
	PUT_CALIBRATION,			//Response 3
	PUT_SERVICE_TIME,			//Response 4
	PUT_CAL_TIME,			//Response 5
	PUT_CONFIG,			//Response 6
	RESTART_BREATH_ALG,			//Command 0
	START_CALIBRATION,			//Command 1
	STOP_CALIBRATION,			//Command 2
	FORCE_SFM,			//Command 3
	PUMP_CONTROL,			//Command 4
	START_SFM,			//Command 5
	SET_MODULE_CONFIG,			//Command 6
	START_ACQUIRE,			//Command 7
	STOP_ACQUIRE,			//Command 8
	WRITE_CONFIG,			//Command 9
	STREAM_CO2,			//Stream 0
}

impl MessageSpecies for FmCO2Message{}