use super::MessageSpecies;

pub enum FmTEMPMessage{
	GET_TEMP,			//Request 0
	GET_CONFIG,			//Request 1
	GET_ENG_STATUS,			//Request 2
	STATUS,			//Request 3
	GET_PROBE_INFO,			//Request 4
	GET_CALIBRATION,			//Request 5
	GET_SETTINGS,			//Request 6
	GET_HARDWARE_STATE,			//Request 7
	GET_TEST_LOCK,			//Request 8
	GET_RAW_DATA,			//Request 9
	GET_SAMPLE,			//Request 10
	GET_TOUCH,			//Request 11
	GET_THERM,			//Request 12
	GET_THERMOMETER_SETTINGS,			//Request 13
	PUT_TEMP,			//Response 0
	PUT_CONFIG,			//Response 1
	PUT_ENG_STATUS,			//Response 2
	PUT_STATUS,			//Response 3
	PUT_PROBE_INFO,			//Response 4
	PUT_CALIBRATION,			//Response 5
	PUT_SETTINGS,			//Response 6
	PUT_HARDWARE_STATE,			//Response 7
	PUT_TEST_LOCK,			//Response 8
	PUT_RAW_DATA,			//Response 9
	PUT_SAMPLE,			//Response 10
	PUT_TOUCH,			//Response 11
	PUT_THERM,			//Response 12
	PUT_THERMOMETER_SETTINGS,			//Response 13
	WRITE_CONFIG,			//Command 0
	MSG_PUSH_ENABLE,			//Command 1
	MSG_SET_ALG,			//Command 2
	MSG_SET_MODE,			//Command 3
	RESET_DEVICE,			//Command 4
	SET_CALIBRATION,			//Command 5
	SAVE_CALIBRATION,			//Command 6
	LOAD_CALIBRATION,			//Command 7
	RESTORE_DFLT_CALIBRATION,			//Command 8
	SET_SETTINGS,			//Command 9
	SAVE_SETTINGS,			//Command 10
	LOAD_SETTINGS,			//Command 11
	RESTORE_DFLT_SETTINGS,			//Command 12
	SET_HARDWARE_STATE,			//Command 13
	SET_TEST_LOCK,			//Command 14
	SET_THERM,			//Command 15
	START_ACQUIRE,			//Command 16
	STOP_ACQUIRE,			//Command 17
	WRITE_THERMOMETER_SETTINGS,			//Command 18
	REPORT_TEMPERATURE,			//Status 0
	REPORT_ENG_STATUS,			//Stream 0
	REPORT_STATUS,			//Stream 1
	REPORT_SAMPLE,			//Stream 2
	REPORT_TOUCH,			//Stream 3
	REPORT_THERM,			//Stream 4
}

impl MessageSpecies for FmTEMPMessage{}