use crate::datatypes;
use super::{Object, ObjectSpecies, RawObject};
use derive_getters::Getters;

#[derive(Clone,Debug)]
pub enum CollectionSpecies{
    Module,
    User,
    Patient,
    LeadMeasure,
    Wave,
    Spiro,
    FileDescription,
    MedsStrings,
    ClinHistStrings,
    InterpStrings,InterpResults,
    ContactInfoStrings,
    PatientList,
    Wifi
}
impl ObjectSpecies for CollectionSpecies{}

//Requires Module,User,Patient,Spiro,Filesys,Interp, and Network
